GDB (xrefs)

Macros | Functions
/tmp/gdb-8.1/gdb/sparc-sol2-nat.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include <sys/procfs.h>`
`#include "gregset.h"`
`#include "sparc-tdep.h"`
`#include "target.h"`
`#include "procfs.h"`

Go to the source code of this file.

## Macros
#define | sparc_supply_gregset sparc32_supply_gregset
#define | sparc_supply_fpregset sparc32_supply_fpregset
#define | sparc_collect_gregset sparc32_collect_gregset
#define | sparc_collect_fpregset sparc32_collect_fpregset
#define | sparc_sol2_gregmap sparc32_sol2_gregmap
#define | sparc_sol2_fpregmap sparc32_sol2_fpregmap

## Functions
void | supply_gregset (struct regcache *regcache, const prgregset_t *gregs)
void | supply_fpregset (struct regcache *regcache, const prfpregset_t *fpregs)
void | fill_gregset (const struct regcache *regcache, prgregset_t *gregs, int regnum)
void | fill_fpregset (const struct regcache *regcache, prfpregset_t *fpregs, int regnum)
void | _initialize_sparc_sol2_nat (void)

## Macro Definition Documentation

## ◆ sparc_collect_fpregset

#define sparc_collect_fpregset sparc32_collect_fpregset

Definition at line 69 of file sparc-sol2-nat.c.

Referenced by _initialize_sparc64_nat(), _initialize_sparc64nbsd_nat(), _initialize_sparc64obsd_nat(), and fill_fpregset().

## ◆ sparc_collect_gregset

#define sparc_collect_gregset sparc32_collect_gregset

Definition at line 68 of file sparc-sol2-nat.c.

Referenced by _initialize_sparc64_nat(), _initialize_sparc64nbsd_nat(), _initialize_sparc64obsd_nat(), and fill_gregset().

## ◆ sparc_sol2_fpregmap

#define sparc_sol2_fpregmap sparc32_sol2_fpregmap

Definition at line 72 of file sparc-sol2-nat.c.

Referenced by fill_fpregset(), and supply_fpregset().

## ◆ sparc_sol2_gregmap

#define sparc_sol2_gregmap sparc32_sol2_gregmap

Definition at line 71 of file sparc-sol2-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## ◆ sparc_supply_fpregset

#define sparc_supply_fpregset sparc32_supply_fpregset

Definition at line 67 of file sparc-sol2-nat.c.

Referenced by _initialize_sparc64_nat(), _initialize_sparc64nbsd_nat(), _initialize_sparc64obsd_nat(), and supply_fpregset().

## ◆ sparc_supply_gregset

#define sparc_supply_gregset sparc32_supply_gregset

Definition at line 66 of file sparc-sol2-nat.c.

Referenced by _initialize_sparc64_nat(), _initialize_sparc64nbsd_nat(), _initialize_sparc64obsd_nat(), and supply_gregset().

## Function Documentation

## ◆ _initialize_sparc_sol2_nat()

void _initialize_sparc_sol2_nat | ( | void |  | ) |

Definition at line 102 of file sparc-sol2-nat.c.

References add_target(), procfs_target(), and procfs_use_watchpoints().

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | prfpregset_t * | fpregs,
|  | int | regnum
| ) |  |

Definition at line 95 of file sparc-sol2-nat.c.

References regnum, sparc_collect_fpregset, and sparc_sol2_fpregmap.

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | prgregset_t * | gregs,
|  | int | regnum
| ) |  |

Definition at line 89 of file sparc-sol2-nat.c.

References regnum, sparc_collect_gregset, and sparc_sol2_gregmap.

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const prfpregset_t * | fpregs
| ) |  |

Definition at line 83 of file sparc-sol2-nat.c.

References sparc_sol2_fpregmap, and sparc_supply_fpregset.

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const prgregset_t * | gregs
| ) |  |

Definition at line 77 of file sparc-sol2-nat.c.

References sparc_sol2_gregmap, and sparc_supply_gregset.